---
title: Meeting Minutes 2021-04-14
date: 2021-04-14
attendees:
  - timansell,google
  - paullecocq,ibm
  - toshaanbharvani,vantosh
  - billflynn,ibm
  - paulmackerras,ibm
  - toddrosedahl,ibm
  - stevenroberts,ibm
  - jameskulina,openpowerfoundation
  - zevweiss,equinix
  - mendyfurmanek,ibm
  - michaelneuling,ibm
  - arjunnaj,tataconsultancy
  - mytroung,equinix
draft: false
---

# Call to order / Attendance

### Anti-trust Reminder

This is a reminder that all OpenPOWER Foundation activities are subject to strict compliance with the OpenPOWER Foundation’s Antitrust Guidelines.  Each individual participant and attendee at this meeting is responsible for knowing the contents of the Antitrust Guidelines, and for complying with the Antitrust Guidelines.  Copies of the Antitrust Guidelines are available at: https://members.openpowerfoundation.org/wg/OPF/document/498

# Workgroup Housekeeping
Update on workgroup charter process
Call for participation went out until 
Chair and maintainer process
Taking nominations / volunteers for positions
Chair
Paul Lecocq, IBM
Tim Pearson, Raptor
POWER Core technical lead
?
Uncore Technical Lead
Tim Pearson, Raptor
Software Technical Lead
?
Github Maintainers
?
Reminder of tentative Workgroup organization         
3 subproject proposal             
POWER Core selection, design, and optimization
FPGA "uncore" required interface definition, I/O definition, on chip bus, build process
OpenBMC updates and performance tuning, what is the minimum feature set / libraries needed        
Reminder of workgroup collaboration tools         
Slack / IRC
https://openpowerfoundation.slack.com/archives/C01UVKFKUQY
#librebmc on freenode (namespace)
https://chat.openpower.foundation/opf/channels/librebmc 
Google Drive
https://drive.google.com/drive/u/1/folders/1p7YL3urCf4NtYbJTRxXDluytmMotUwty
OPF Discuss
https://discuss.openpower.foundation/c/sig/librebmc/11 
GIT repository
https://git.openpower.foundation/librebmc/librebmc 
Larger shared storage area to save meeting recordings
Files.openpower.foundation
Need mailing list tool that people can add themselve to. 
discuss.openpower.foundation
LibreBMC press announcement
OpenPOWER Blog
https://openpowerfoundation.org/openpower-foundation-announces-librebmc-a-power-based-fully-open-source-bmc/
TheRegister
https://www.theregister.com/2021/05/10/openpower_open_source_bmc/
Phoronix
https://www.phoronix.com/scan.php?page=news_item&px=OpenPOWER-LibreBMC
Twitter
@OpenPOWERorg
@LibreBMC
Last Meeting Follow-up
OCP Global Summit, Nov 8-10, Call for Papers June 1.
New Business
A2P - Bill Flynn, IBM
Pretaped Video presentation and slides
https://drive.google.com/drive/u/1/folders/18VRoR-tLlmUDs3a2zIIfiMJ8-jSxOzNP
Open Items document
Need to convert to github issues
https://git.openpower.foundation/librebmc/librebmc
Use this for issues for the overall project
Need to start getting content into git
License file
Apache V2 with hardware
Readme
Go from the charter and add more description on working way
…..
How to select base core(s) to start from
Microwatt (from BoxArty)
Kestrel
A2P
Discussion on what components are needed on FPGA
What exists
Updates required?
What needs to be designed

Notes
LibreBMC Charter Status:
Call for participation went out May 10
14 day window closes May 26
Expect first official meeting to be May 27, need to send that out to membership
Workgroup organization

A2P, Bill Flynn
A2P started from VexRISC-V and converted it to POWER ISA
32b core
See presentation in Google Drive A2P folder  for details
A2P is currently ~5400 LUTs, VexRISCV is around 2000 LUTs
Possible differences 1000 LUTS for GPR implementation in FF vs BRAM
Hazard logic is more complex in POWER
May have more hardcoded instructions vs microcoded in VexRISCV

Open Items

Git repository items

Core selection

FPGA Components / Status
Action Items
Start document of links to tools and hardware for others to replicate work.  
Diagram of all open tools, how they fit together, what is missing, what needs significant improvement - FuseSoc, OpenLane, Symbiflow, Yosys, openroads, etc https://github.com/hdl      
EDA Tooling - Containers - https://github.com/hdl/containers
Make sure these support Power. I believe that Rob Taylor added Power support.
EDA Tooling - Conda - https://hdl.github.io/containers/

EDA Tooling - if you are a Bazel fan;
https://github.com/hdl/bazel_rules_hdl
Used by Google’s XLS team -> http://github.com/google/xls

 Add current projects that you are working on that relate to LibreBMC or opentools.  Plan would be to schedule presentations on them to stir conversation and collahttps://notes.openpower.foundation/T0w6qPMJQkaj_u-UTvkUAQ?both#boration.  This will highlight areas where technical issues can be worked across projects.
Next Meeting Agenda Items

## Future topics
Arjun to present
Tim Pearson to give update on where Raptor is going with Kestrel